package kr.co.uracle.MPushPlugin.receiver;

import android.util.Log;

import com.google.firebase.messaging.FirebaseMessagingService;
import com.google.firebase.messaging.RemoteMessage;

import m.client.push.library.PushMessagingManager;
import m.client.push.library.common.Logger;
import m.client.push.library.utils.PushUtils;

public class CustomMessagingService extends FirebaseMessagingService {
	@Override
	public void onNewToken(String s) {
		super.onNewToken(s);
		PushMessagingManager.getInstance().newToken(getApplicationContext());
	}

	@Override
	public void onMessageReceived(RemoteMessage remoteMessage) {
		super.onMessageReceived(remoteMessage);
		Log.d("RemoteMessage_Log",remoteMessage.getData().toString());
		if(PushUtils.isMPush(remoteMessage)) {
			Logger.e(remoteMessage.toString());
			PushMessagingManager.getInstance().messageReceived(getApplicationContext(), remoteMessage);
		}
		else{
			//ARS 푸시 처리
		}
	}
}
